%define name cddb-proxy
%define version 1.7
%define release 3mdk

Summary: CDDB Proxy
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: cddbp-init.bz2
Patch: cddbp.mdkpatch.bz2
License: GPL
Group: System/Servers
URL: http://www.phoebe.co.uk/cddb
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch

%description
The proxy redirects CDDBP queries directly to web requests, it is
optional whether they be direct requests to the CDDB web servers or
via a typical web proxy (no authentication).

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}%{_var}/lib/cddb
mkdir -p ${RPM_BUILD_ROOT}%{_var}/spool/cddbp
install -m 0700 cddbp2.pl ${RPM_BUILD_ROOT}%{_sbindir}
install -m 0755 list.pl ${RPM_BUILD_ROOT}%{_bindir}
install -m 0755 m3u.pl ${RPM_BUILD_ROOT}%{_bindir}
install -m 0755 tklist.pl ${RPM_BUILD_ROOT}%{_bindir}
cat %{SOURCE1} | bzip2 -dc - > cddbp
install -m 0755 cddbp ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add cddbp

%preun
chkconfig --del cddbp

%files
%defattr(-,root,root)
%doc LICENSE changes.txt manifest readme
%{_bindir}/list.pl
%{_bindir}/m3u.pl
%{_bindir}/tklist.pl
%{_sbindir}/cddbp2.pl
%{_sysconfdir}/rc.d/init.d/cddbp
%dir %{_var}/lib/cddb
%dir %{_var}/spool/cddbp

%changelog
* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-3mdk
- rebuild

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-2mdk
- rebuild

* Fri Oct 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- used srpm provided by Jan Dittberner :
	First spec file for Mandrake distribution.
	patch source to work with init script
	wrote a init script for the proxy
	enter freedb.freedb.org as default cddb server

# end of file
